// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

import 'rollee_connect_config_setup.dart';

/// {@template rollee_connect_config}
/// This class represents the Rollee Connect configuration.
/// {@endtemplate}
@immutable
class RolleeConnectConfig extends Equatable {
  /// The user session token on Rollee Connect application.
  final String sessionToken;

  /// The Rollee Connect token.
  final String token;

  /// The Rollee Connect configuration setup.
  final RolleeConnectConfigSetup? setup;

  /// {@macro rollee_connect_config}
  const RolleeConnectConfig({
    required this.sessionToken,
    required this.token,
    this.setup,
  });

  @override
  List<Object?> get props => [sessionToken, token, setup];

  @override
  bool get stringify => true;
}
