// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

import 'rollee_connect_params.dart';

/// {@template rollee_connect_initial_state}
/// This class represents the Rollee Connect initial state.
/// {@endtemplate}
@immutable
class RolleeConnectInitialState extends Equatable {
  /// The width of the [RolleeConnect] widget.
  final double width;

  /// The height of the [RolleeConnect] widget.
  final double height;

  /// The Rollee Connect token.
  final String token;

  /// The user session token on Rollee Connect application.
  final String? sessionToken;

  /// Whether the Rollee Connect is in production mode or not.
  final bool isProduction;

  final RolleeConnectParams params;

  /// {@macro rollee_connect_initial_state}
  const RolleeConnectInitialState({
    required this.width,
    required this.height,
    required this.token,
    required this.isProduction,
    required this.params,
    required this.sessionToken,
  });

  @override
  List<Object?> get props => [
        width,
        height,
        token,
        sessionToken,
        isProduction,
        params,
      ];

  @override
  bool get stringify => true;
}
