// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

@immutable

/// {@template rollee_connect_login_result}
/// This class represents the Rollee Connect login result.
/// {@endtemplate}
class RolleeConnectLoginResult extends Equatable {
  /// whether the login is completed or not.
  final bool isCompleted;

  /// the account id.
  final String accountId;

  /// the data source id.
  final String dataSourceId;

  /// {@macro rollee_connect_login_result}
  const RolleeConnectLoginResult({
    required this.isCompleted,
    required this.accountId,
    required this.dataSourceId,
  });

  @override
  List<Object?> get props => [
        isCompleted,
        accountId,
        dataSourceId,
      ];

  @override
  bool get stringify => true;
}
