// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

/// {@template rollee_connect_result}
/// This class represents the Rollee Connect result.
/// {@endtemplate}
@immutable
class RolleeConnectResult extends Equatable {
  /// whether the flow is completed or not in the Rollee Connect View.
  final bool isCompleted;

  /// the user uuid got after the flow is completed.
  final String userUUID;

  /// {@macro rollee_connect_result}
  const RolleeConnectResult({
    required this.isCompleted,
    required this.userUUID,
  });

  @override
  List<Object?> get props => [isCompleted, userUUID];

  @override
  bool get stringify => true;
}
