import 'package:meta/meta.dart';

/// {@template api_constants}
/// This is a class representing the API URI constants.
/// {@endtemplate}
class RolleeAPIConstants {
  /// The base URI for the production environment.
  @internal
  final production = 'https://api.getrollee.com/';

  /// The base URI for the sandbox environment.
  @internal
  final sandbox = 'https://api.sand.getrollee.com/';

  /// {@macro api_constants}
  @internal
  RolleeAPIConstants() {
    assert(
      production.endsWith('/') && sandbox.endsWith('/'),
      "The base URI must end with a '/' character.",
    );
  }
}
