import 'package:meta/meta.dart';

/// {@template base_constants}
/// This is a class representing the base URI constants.
/// {@endtemplate}
class RolleeBaseConstants {
  /// The base URI for the production environment.
  @internal
  String production = 'https://connectv2.getrollee.com/';

  /// The base URI for the sandbox environment.
  @internal
  String sandbox = 'https://connectv2.sand.getrollee.com/';

  /// {@macro base_constants}
  @internal
  RolleeBaseConstants() {
    assert(
      production.endsWith('/') && sandbox.endsWith('/'),
      "The base URI must end with a '/' character.",
    );
  }
}
