import 'api/api.dart';
import 'base/base.dart';

/// {@template constants}
/// This class encapsulates all the constants used in the library.
/// {@endtemplate}
class RolleeConstants {
  /// {@macro base_constants}
  static final base = RolleeBaseConstants();

  /// {@macro api_constants}
  static final api = RolleeAPIConstants();

  /// The Rollee Connect config endpoint.
  static const config = "api/v0.3/connect/config";

  /// The Rollee Connect session endpoint.
  static const session = "v0.4/session/";

  /// The messages channel name used to communicate with the web view.
  static const channelName = "RolleeConnectFlutter";

  RolleeConstants._();
}

/// This enum represents the different types of URLs that can be used
enum RolleeUrlType {
  config,
  session,
}
